#!/usr/bin/python
#
# This script fixes gdal geotransform matrix for Pleiades PH-1A/1B in JP2 format
#

import sys
import os.path

from osgeo import gdal
from gdalconst import *

if len(sys.argv) < 2:
    print("Usage: %s <raster>" % os.path.basename(sys.argv[0]))
    sys.exit(1)

filename = sys.argv[1]
dataset = gdal.Open(filename, GA_Update)
geotransform = list(dataset.GetGeoTransform())

tmp = geotransform[1]
geotransform[1] = geotransform[2]
geotransform[2] = tmp

tmp = geotransform[4]
geotransform[4] = geotransform[5]
geotransform[5] = tmp

dataset.SetGeoTransform(geotransform)

dataset = None

sys.exit(0)
