#!/bin/sh
#
# Extract averages of in-field data for Segezia, by selected date
# within the previous hour in respect with the refence time.

# NB
# select s.name as n, m.datetime as d, s.a*value+s.b as v, m.depth_max from Measure as m, Sensor as s  -> for calibrated data extraction

cd $SM_TOOLS_OUTPUTDIR
echo "Name|Date and Time|Value|Depth max" >foggia_selected_data_by_date_notcal.txt
while IFS='' read -r line || [ -n "$line" ]
do
	date=$(echo $line|cut -d\| -f1)
    spatialite -noheader $SM_TOOLS_DB "	
        select s.name as n, m.datetime as d, value as v, m.depth_max from Measure as m, Sensor as s  
		where m.depth_max<=0.05 and
		m.datetime >= '$date 15:45:00' and
		m.datetime <= '$date 16:45:00' and
	    s.id=m.sensor_id and m.type='soil_moisture' and m.sensor_id in 
		(select id from Sensor where network_id=9) order by n,d,m.depth_max
" >>foggia_selected_data_by_date_notcal.txt
done <<EOF
2019-03-05
2019-03-11
2019-03-17
2019-03-23
2019-03-29
2019-04-04
2019-04-10
2019-04-16
2019-04-22
2019-04-28
2019-05-04
2019-05-10
2019-05-16
2019-05-22
2019-05-28
2019-06-03
2019-06-09
2019-06-15
2019-06-21
2019-06-27
2019-07-03
2019-07-09
2019-07-15
2019-07-21
2019-07-27
2019-08-02
2019-08-08
2019-08-14
2019-08-20
2019-08-26
2019-09-01
2019-09-07
2019-09-13
EOF
