#!/bin/sh

ALL="yanco littlewashita txson elmcreek riaza tereno"

if [ $# -ge 1 ]
then
	ARG=$*
else 
	ARG=$ALL
fi

for network in $ARG 
do
	if [ $(echo $ALL|grep -w $network|wc -l) -eq 1  ]
	then
		echo $network...
		if [ "$network" = "littlewashita" ]
		then
			OPT="and m.value>=0 and strftime('%H:%M',m.datetime)='23:55'"
		else
			OPT=""
		fi
		spatialite $SM_TOOLS_DB >$SM_TOOLS_OUTPUTDIR/rainfall_${network}_daily.txt <<EOF
		select s.name as name, date(m.datetime) as date, sum(m.value) as sum, count(*) as num from Measure as m, Sensor as s, Network as n
		where m.type='rainfall' and m.sensor_id=s.id and s.network_id=n.id and
		n.name='$network' $OPT group by date, s.name, n.id;
EOF
	fi
	continue
done

