#
# Very simple drawing of in field SM measures
#

#install.packages('dplyr')
#install.packages('plyr')
#install.packages('lubridate')

library(dplyr)
library(plyr)
library(lubridate)

setwd('/tmp')
data <- read.csv(file='foggia_all_calibrated.txt',sep='|',header=F)
colnames(data) <- c('sensor','datetime','value')

# select by sensor and introduce aux fields
sensor_set <- subset(data,sensor='fg01')
df <- mutate(sensor_set, dt = ymd_hms(as.character(datetime)), date = date(dt), hour = hour(dt), minute = minute(dt))
# this is used to filter invalid dates, should be unuseful in general
df <- subset(df,date >= '2017-01-01')

daily <- aggregate(df['value'], by=df['date'], mean)

plot(x=daily$date,y=daily$value,type='l',xlab = 'Date',ylab = 'SM', main='Sensor fg01')

# other filters on the data set

hourly <- aggregate(df['value'], by=c(df['date'],df['hour']), mean)

hourly %>% filter(hour==13) -> h13
daily %>% filter(year(date) == 2018) -> daily2018

# extract all hourly means for month of november
hourly %>% filter(year(date) == 2018 & month(date) == 11) -> monthly_201811

# plot all measures of november
plot(x=seq(1,length(monthly_201811[[3]])),
     y=monthly_201811[order(monthly_201811$date),]$value,
     type='l',ylab='SM', xlab='Month of November measures', las=1)



