#!/bin/sh
#
# This ugly script extracts SMAP grids on the basis of a subset of rules on cats
# and time lag.
#

if [ $# -lt 4 ]
then
	echo "usage: $0 report track resolution percentage"
	exit 1
fi

REPORT=$1
TRACK=$2
RES=$3
PERC=$4

if [ ! -f $REPORT ] 
then
	echo "Missing file: $REPORT"
	exit 2
fi

case $RES in
	1|3|9|36)
		RES=${RES}km
		;;
	12d5|12.5)
		RES=12d5km
		;;
	*)
		echo "Wrong resolution: $RES"
		exit 4
		;;
esac

$G_EASE2 g.copy vect=smap_grid_${RES}_Medi_${TRACK},smap${RES}_medi_${TRACK}_work --o
# selection conditions
cats=$(awk -F\| "{if (\$5>=$PERC && \$9!=0 && \$10==\$1) print \$2}" $REPORT|tail -n +2|sort -n|uniq)
$G_EASE2 v.extract in=smap${RES}_medi_${TRACK}_work cats=$(echo $cats|sed -e 's/ /,/g') out=result --o
$G_EASE2 v.out.ogr in=result out=$SM_TOOLS_OUTPUTDIR/smap_grid_${RES}_Medi_${TRACK}_sieved_$$.shp  --o

exit 0

