library(tidyverse)

setwd('sm-tools/tmp')

d <- read.csv('violin_box_plot.csv',header = T, sep = '|')
d %>% select(R,R.type) -> b
d %>% select(URMSE,URMSE.type) -> c

p <- ggplot(c,aes(x=factor(URMSE.type,levels=c('SMAP 36km','SMOS 25km','ASCAT 12.5km')),y=URMSE,fill=URMSE.type))+geom_violin(trim=T)+xlab('')
p + theme(legend.position = "none",text=element_text(size=20),axis.text.x = element_text(size=20), axis.text.y = element_text(size=20)) + ylab('UBRMSE (m3/m3)') + geom_boxplot(width=0.05, outlier.shape=NA, coef=0)

q <- ggplot(b,aes(x=factor(R.Type,levels=c('SMAP 36km','SMOS 25km','ASCAT 12.5km')),y=R,fill=R.Type))+geom_violin(trim=T)+xlab('')
q + theme(legend.position = "none",text=element_text(size=20),axis.text.x = element_text(size=20), axis.text.y = element_text(size=20)) + ylab('R') + geom_boxplot(width=0.05, outlier.shape=NA, coef=0)


