#!/bin/sh
#
# Extract averages of in-field data for Segezia, by selected date
# within the previous hour in respect with the refence time.
#

cd $SM_TOOLS_OUTPUTDIR
echo "Name|Date|Average|Count" >segezia_stats_stations_by_date.txt
while IFS='' read -r line || [ -n "$line" ]
do
	date=$(echo $line|cut -d\| -f1)
	time=$(echo $line|cut -d\| -f2)
    spatialite -noheader $SM_TOOLS_DB "
select n,d,v,c from (
	select s.name as n, date(m.datetime) as d, avg(m.value*s.a+s.b) as v, count(m.value) as c from Measure as m, Sensor as s  
		where m.depth_max<=0.05 and
		date(m.datetime)='$date' and
	    datetime(m.datetime) >= datetime('$date $time','-1 hour') and 
		datetime(m.datetime) < datetime('$date $time') and
	    s.id=m.sensor_id and m.type='soil_moisture' and m.sensor_id in 
		(select id from Sensor where network_id=1) 
	group by 1,2) 
where v>=0
group by 1
" >>segezia_stats_stations_by_date.txt
done <<EOF
2017-03-02|17:00:00
2017-03-08|17:00:00
2017-03-14|17:00:00
2017-03-20|17:00:00
2017-03-26|17:00:00
2017-04-01|17:00:00
2017-04-07|17:00:00
2017-04-13|17:00:00
2017-04-19|17:00:00
2017-04-25|17:00:00
2017-05-01|17:00:00
2017-05-07|17:00:00
2017-05-13|17:00:00
2017-05-19|17:00:00
2017-05-25|17:00:00
2017-05-31|17:00:00
2017-06-06|17:00:00
2017-06-12|17:00:00
2017-06-18|17:00:00
2017-06-24|17:00:00
2017-06-30|17:00:00
EOF

