#!/bin/sh
#
# Extract averages of in-field data for all sites, on a daily basis
# and averaged for all stations.
#

set -e

site=biebrza

cd $SM_TOOLS_OUTPUTDIR

lists="grassland:(170,171,172,173,174,175,176,177,178) marshland1:(179,180,181,182,183,184,185,186,187) marshland2:(188,189,190,191,192,193,194,195,196)"
for l in $(echo $lists)
do
	name=$(echo $l|cut -d: -f1)
	ids=$(echo $l|cut -d: -f2)
	echo "$name : $ids"
	echo "Date|Hour|Depth|Average|Sample StdDev|Count" >${site}_${name}_stats_by_site_hourly.txt
		spatialite -noheader $SM_TOOLS_DB "
		select date(m.datetime) as d, strftime('%H',m.datetime) as o, m.depth_max as h, avg(m.value*s.a+s.b) as v, stddev_samp(m.value*s.a+s.b) as t, count(m.value) as c 
			from Measure as m, Sensor as s  
			where m.depth_max<=0.05 and m.value*s.a+s.b>0 and
			s.id=m.sensor_id and m.type='soil_moisture' and m.sensor_id in $ids
			group by 1, 2, 3 order by 1, 2, 3
	" >>${site}_${name}_stats_by_site_hourly.txt
done

exit 0
