#!/bin/bash
#
# This script reprojects LAI maps (part of them) and add .lai_info companion
# file for database inclusion.
#

cd /ocean/projects/EU_SENSAGRI/LAI

declare -A DATES
DATES=( [Italy_LAI_T33TWF]=2018-10-17 [Spain_LAI_T30TUL]=2018-11-19 [Spain_LAI_T30TUM]=2018-11-17 )

for dir in  Italy_LAI_T33TWF Spain_LAI_T30TUL Spain_LAI_T30TUM
do
	for l in $dir/201*/LAI*/*.tiff
	do
		d=$(dirname $l)
		f=$(basename $l .tiff)
		gdalwarp -t_srs EPSG:4326 -of ENVI -overwrite $l $d/$f.img
		gdal_edit.py -a_nodata nan $d/$f.img
	done
	for l in $dir/201*/LAI*/*.img
	do
		d=$(dirname $l)
		f=$(basename $l .img)
		date=$(echo $f|cut -d_ -f3)
		cat >$d/$f.lai_info  <<EOF
LAI_processor:    LAI_UniValencia
LAI_product:      green/brown 10m
LAI_product_date: ${DATES[$dir]}
LAI_label_run:    lai_10m_initial_release
date:             $date
timeUTC:          010000
LAI_origin:       $f.zip
EOF
	done
done
