#!/bin/sh
#
# This script adds .ndvi_info companion files to NDVI previously generated for database inclusion.
#

for d in /ocean/processings/processing_sites/site_Italy/ApulianTav_S2_R079/NDVI_ref40m_ApulianTav_S1_A146_S1_GTC_MN02_RL4200 \
/ocean/processings/processing_sites/site_Spain/Remedhus_S2_R037/NDVI_ref40m_Remedhus_S1_D154_S1_GTC_MN03_RL4350 \
/ocean/processings/processing_sites/site_Spain/Remedhus_S2_R094/NDVI_ref40m_Remedhus_S1_D154_S1_GTC_MN03_RL4350 \
/ocean/processings/processing_sites/site_Spain/Remedhus_S2_R137/NDVI_ref40m_Remedhus_S1_D154_S1_GTC_MN03_RL4350
do
	cd $d
	for l in *.hdr
	do
		f=$(basename $l .hdr)
		d=$(ls --full-time $l|cut -d' ' -f6)
		date=$(echo $f|cut -d_ -f2)
		cat >$f.ndvi_info  <<EOF
NDVI_processor:    IREA_NDVI_SMTOOLS
NDVI_product:      S2-2A 40m
NDVI_product_date: $d
NDVI_label_run:    ndvi_40m_initial_release
date:              $date
timeUTC:           010000
NDVI_origin:       $f
EOF
	done
done

exit 0
