#!/bin/sh
#
# This script adds .tlg_info companion files to tillage/no-tillage maps previously generated for database inclusion.
#

for d in /ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/ApulianTav_S1_A146/run_n4_tillage_VHdiff25a \
	/ocean/SMOSAR/SMOSAR_SEOM/Output_FD_mv_maps/Remedhus_S1_D154/run_n4_tillage_VHdiff25
do
	cd $d
	for l in *tillage.hdr
	do
		f=$(basename $l .hdr)
		d=$(ls --full-time $l|cut -d' ' -f6)
		date=$(echo $f|cut -d_ -f5|cut -dT -f1)
		tm=$(echo $f|cut -d_ -f5|cut -dT -f2)
		cat >$f.tlg_info  <<EOF
TLG_processor:    IREA_TLG
TLG_product:      S1 TLG 40m
TLG_product_date: $d
TLG_label_run:    tillage_40m_initial_release
date:             $date
timeUTC:          $tm
TLG_origin:       $f
EOF
	done
done

exit 0
