#!/bin/sh

echo "Name|Date time|Depth max|Value" >$SM_TOOLS_OUTPUTDIR/dump_for_calibration.txt

for line in $(cat /tmp/SSM_calibration.txt)
do
	sensor=$(echo $line|cut -d, -f1)
	date=$(echo $line|cut -d, -f2)
	time=$(echo $line|cut -d, -f3)
	spatialite -batch -noheader $SM_TOOLS_DB >>$SM_TOOLS_OUTPUTDIR/dump_for_calibration.txt <<EOF
select s.name, m.datetime, m.depth_max, m.value
from Measure as m, Sensor as s 
where s.name='$sensor' and m.sensor_id=s.id and m.datetime >= datetime("$date $time:00",'-1 hour') and m.datetime <= datetime("$date $time:00") and
m.depth_max <= 0.10 and m.type='soil_moisture' 
order by s.name, m.depth_max, m.datetime;
EOF
done
