#!/bin/sh

if [ $# -lt 4 ]
then
	echo "usage: $0 date resolution track cat"
	exit 1
fi

$SM_TOOLS/etc/grass_check.sh || exit 2

date=$1
isodate=$(echo $date|awk -F- '{printf "%04d%02d%02d",$1,$2,$3}')

prev=$(date --date="$date - 1 day" +'%Y-%m-%d')
isoprev=$(echo $prev|awk -F- '{printf "%04d%02d%02d",$1,$2,$3}')

res=$2
track=$3
cat=$4
dir=$SM_TOOLS_OUTPUTDIR/smap_grids_sampling
case $res in
	1)
		t=SMAP1
		;;
	3)
		t=SMAP3
		;;
	9)
		t=SMAP9
		;;
	25)
		t=SMOS
		;;
	36)
		t=SMAP36
		;;
	12d5)
		t=ASCAT
		;;
	*)
		echo "$0: wrong resolution used"
		exit 3
		;;
esac

files=$(ls $dir/${t}_${isodate}_${track}.txt $dir/${t}_${isoprev}_${track}.txt 2>/dev/null)
for file in $files
do
	result=$(egrep "^$cat\|" $file)
	val=$(echo $result|cut -d\| -f2)
	if [ "$val" != "0" ] 
	then
		date=$(basename $file|cut -d_ -f2|perl -ne 'chomp; ($y,$m,$d) = unpack "A4A2A2", $_; print sprintf "%04d-%02d-%02d", $y, $m, $d;')
		echo "$t|$val|$date"
		exit 0
	fi
done

echo "$t|0|$date"

exit 0

