#!/bin/bash

set -e

$SM_TOOLS/etc/grass_check.sh || exit 1

T=s1_masked_lcvh

if [ $# -eq 1 ]
then
	T=$1
fi

cd  $SM_TOOLS/tmp
rm -rf *_smos_grid

for i in $($G g.list t=vect pat='*_smos_grid'); do  $G v.out.ogr -c --quiet in=$i out=$i type=area; done
for i in $($G g.list t=vect pat='*_smos_grid')
do
	site=$(echo $i|cut -d_ -f1)
	poly=$(ogrinfo -al $i/$i.shp|grep POLYGON)
	spatialite -noheader $SM_TOOLS_DB "SELECT
	d.uri || '/' || p.filename,p.reference_datetime,p.product_type from ProcessedImage as p, Path as d
	where d.id=p.uri_id and ST_Intersects(p.boundingbox,ST_GeomFromText('$poly'))>0 and p.tag='$T';" >${site}_list_of_images.txt
	echo "Date|Type|Min|Max|Average|Std dev" >$SM_TOOLS/outputs/${site}_stats_s0_smoscell_25km.txt
	for line in $(cat ${site}_list_of_images.txt|sed -e 's/ /_/g')
	do
		file=$(echo $line|cut -d\| -f1)
		f=$(basename $file)
		datetime=$(echo $line|cut -d\| -f2)
		isodate=$(echo $datetime|cut -d_ -f1)
		date=$(echo $isodate|sed -e 's/-//g')
		type=$(echo $line|cut -d\| -f3)
		t=$(echo $type|cut -d_ -f2)
		[ $($G g.list t=rast pat="$f"|wc -l) -eq 1 ] || $G r.external --o --quiet input=$file output=$f
		$G g.copy --quiet --o vect=$i,${site}_${date}_s0${t}
		$G g.region --quiet rast=$f
		$G g.region --quiet vect=$i
		echo ${site}_${date}_s0${t}
		$G v.rast.stats map=${site}_${date}_s0${t} rast=$f colprefix='s0'
		# this fields could be wrong...
		str=$($G v.db.select ${site}_${date}_s0${t}|cut -d\| -f7,8,10,11|tail -n +2)
		min=$(echo $str|cut -d\| -f1)
		max=$(echo $str|cut -d\| -f2)
		avg=$(echo $str|cut -d\| -f3)
		stddev=$(echo $str|cut -d\| -f4)
		echo "${isodate}|${t}|${str}" >>$SM_TOOLS/outputs/${site}_stats_s0_smoscell_25km.txt
	done
done
$G_CLEAN
cd $SM_TOOLS/outputs
