#!/bin/sh
#
# This script merges for each site S0 statistics on SMAP cell grid with corresponding SMAP
# value at the same date or the previous day.
#


S='elmcreek:pm hobe:am littlewashita:pm remedhus:am segezia:pm txson:pm yanco:am'

cd $SM_TOOLS/outputs

for st in $S
do
	s=$(echo $st|cut -d: -f1)
	t=$(echo $st|cut -d: -f2)
	S0=${s}_stats_s0_smapcell_36km.txt
	SMAP=${s}_smap_36km.txt
	echo "Date|Type|Min|Max|Average|Std dev|SMAP date|Period|SMAP 36km" >${s}_merge_s0_smap36km.txt
	for line in $(tail -n +2 $S0)
	do
		date=$(echo $line|cut -d\| -f1)
		type=$(echo $line|cut -d\| -f2)
		min=$(echo $line|cut -d\| -f3)
		max=$(echo $line|cut -d\| -f4)
		avg=$(echo $line|cut -d\| -f5)
		stddev=$(echo $line|cut -d\| -f6)
		smap=$(grep "$date" $SMAP|grep "$t")
		d=$date
		if [ -z "$smap" ]
		then

			prev=$(date --date="$date - 1 day" +'%Y-%m-%d')
			smap=$(grep "$prev" $SMAP|grep "$t")
			d=$prev
		fi
		h=$(echo $smap|cut -d\| -f2)
		v=$(echo $smap|cut -d\| -f3)
		if [ -z "$smap" ]
		then
			d=''
		fi
		echo "$line|$d|$h|$v" >>${s}_merge_s0_smap36km.txt
	done
done

