#!/bin/sh
#
# This script merges for each site S0 statistics on SMAP cell grid with corresponding SMAP
# value at the same date or the previous day.
#


S='elmcreek:desc hobe:asc littlewashita:desc remedhus:asc segezia:desc txson:desc yanco:asc'

cd $SM_TOOLS/outputs

for st in $S
do
	s=$(echo $st|cut -d: -f1)
	t=$(echo $st|cut -d: -f2)
	S0=${s}_stats_s0_smoscell_25km.txt
	SMOS=${s}_smos_25km.txt
	echo "Date|Type|Min|Max|Average|Std dev|SMOS date|Period|SMOS 25km" >${s}_merge_s0_smos25km.txt
	for line in $(tail -n +2 $S0)
	do
		date=$(echo $line|cut -d\| -f1)
		type=$(echo $line|cut -d\| -f2)
		min=$(echo $line|cut -d\| -f3)
		max=$(echo $line|cut -d\| -f4)
		avg=$(echo $line|cut -d\| -f5)
		stddev=$(echo $line|cut -d\| -f6)
		smos=$(grep "$date" $SMOS|grep "$t")
		d=$date
		if [ -z "$smos" ]
		then
			prev=$(date --date="$date - 1 day" +'%Y-%m-%d')
			smos=$(grep "$prev" $SMOS|grep "$t")
			d=$prev
		fi
		h=$(echo $smos|cut -d\| -f2)
		v=$(echo $smos|cut -d\| -f3)
		if [ -z "$smos" ]
		then
			d=''
		fi
		echo "$line|$d|$h|$v" >>${s}_merge_s0_smos25km.txt
	done
done

