#!/bin/sh

if [ $# -lt 3 ]
then
	echo "usage: $0 <target frame> <output ndvi dir> <input S2 dir>"
	exit 1
fi

TARGET=$1
OUTDIR=$2
INDIR=$3
OVERRIDE=no

cd $INDIR
dates=$(for i in *.zip; do b=$(basename $i .zip); d=$(echo $b|cut -d_ -f3|cut -dT -f1); echo $d; done|sort|uniq)
for i in $dates
do
	if [ ! -f $OUTDIR/ndvi_$i -o $OVERRIDE = "yes" ]
	then
		echo "Date: $i"
		$SM_TOOLS/misc/s2_ndvi.sh $TARGET $OUTDIR/ndvi_$i *$i*.zip
	else
		echo "Date $i skipped"
	fi
done

exit 0

