#/bin/sh
#
# A simple script for reducing to a lower resolution a set of images
# originally not projected in EASE2 CRS.
#

for i in T*1.img; 
do 
	f=$(basename $i .img); 
	v=$(echo $f|sed -e 's/\./_/g');
	echo $f;  
	v.proj location=WGS84 in=$v out=$v; 
	g.region -a vect=$v res=40; 
	r.proj --v --o in=$f location=WGS84 out=$f res=40 mem=10240; 
	g.region -a rast=${f} res=500; 
	r.resamp.stats --o method=average in=$f out=${f}_500m; 
	r.colors map=${f}_500m rules=~/sm-tools/etc/colors.txt; 
	r.out.gdal --o in=${f}_500m format=ENVI out=EASE2/${f}_500m type=Int16; 
done

