#!/bin/sh

if [ -z "$RESOLUTIONS" ]
then
	echo "RESOLUTIONS not defined, assuming default 36 25 12d5 9 3 1"
fi

LIST=$(egrep "^[^#].*$1.*" $HOME/medi_inc_angle.txt)
for m in $LIST
do
	TARGET=Medi_$(echo $m|cut -d/ -f8|cut -d. -f2)
	if [ $(ls $SM_TOOLS_OUTPUTDIR/smap_grids_sampling/SMAP_*_$TARGET.txt|wc -l) -eq 0 ]
	then
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 36 $(echo $TARGET|sed -e 's/Medi_//')
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 25  $(echo $TARGET|sed -e 's/Medi_//')
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 12d5 $(echo $TARGET|sed -e 's/Medi_//')
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 9 $(echo $TARGET|sed -e 's/Medi_//')
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 3 $(echo $TARGET|sed -e 's/Medi_//')
		$SM_TOOLS/misc/smapsmosascat_grid_sampling.sh 1 $(echo $TARGET|sed -e 's/Medi_//')
	fi
	$SM_TOOLS/misc/make_medi_inc.sh $m $TARGET $SM_TOOLS_OUTPUTDIR/${TARGET}_inc $RESOLUTIONS; 
done
