#!/bin/bash
# 
# This tiny script is used to lauch parallel processses 
# and get results for every Medi tracks.
# 

# change this to use a different tag
#PREFIX=p_mv_img_th33_mean_run_n4_v7_2_20180713_medi
PREFIX=p_ssm_img_th33_mean_run_n4_v1_2_20190330_dsc_medi

for TRACK in D037 D008 D110 D066 D168 D139
do

T=$(echo $TRACK|tr '[:upper:]' '[:lower:]')
TAG=${PREFIX}_$T
RES36=Medi_${TRACK}_smap_grid_36km_Medi_${TRACK}_report.txt
RES25=Medi_${TRACK}_smap_grid_25km_Medi_${TRACK}_report.txt
RES125=Medi_${TRACK}_smap_grid_12d5km_Medi_${TRACK}_report.txt
RES9=Medi_${TRACK}_smap_grid_9km_Medi_${TRACK}_report.txt

# note that this way each script run in a different shell with a different temporary location

bash -i -l -s <<EOF
$SM_TOOLS/misc/run_make_ease2_stats_bytag.sh $TAG sm && \
$SM_TOOLS/misc/add_smapsmosascat_filtering.sh $SM_TOOLS_OUTPUTDIR/$TAG/$RES36 $TRACK 36 && \
$SM_TOOLS/misc/add_smapsmosascat_filtering.sh $SM_TOOLS_OUTPUTDIR/$TAG/$RES25 $TRACK 25 && \
$SM_TOOLS/misc/add_ascat_volumetric.sh $SM_TOOLS_OUTPUTDIR/$TAG/$RES125 $TRACK &
EOF

done
