#!/bin/sh

if [ $# -ge 1 ]; then
	site=$*
else
	site="remedhus yanco txson littlewashita elmcreek"
fi

set -e

$SM_TOOLS/etc/grass_check.sh || exit 1

where=$($G v.out.ascii in=site_coords columns='site'|grep txson)

b=0.4
list=(mktemp -q)

for line in $where
do
x=$(echo $line|cut -d\| -f1)
y=$(echo $line|cut -d\| -f2)
s=$(echo $line|cut -d\| -f4)
spatialite $SM_TOOLS_DB >$list <<EOF
select d.uri || '/' || p.filename as f,date(p.reference_datetime) as d,
	time(p.reference_datetime) as t, p.product_type as m from ProcessedImage as p, Path as d 
	where d.id=p.uri_id and ST_Contains(p.boundingbox,ST_buffer(ST_PointFromText('POINT($x $y)'),0.4))
	order by m,d,t;
EOF
ulx=$(perl -E "say $x-$b")
uly=$(perl -E "say $y+$b")
lrx=$(perl -E "say $x+$b")
lry=$(perl -E "say $y-$b")
for line in $(cat $list|sed -e 's/ /_/g')
do
	f=$(echo $line|cut -d\| -f1)
	b=$(basename $f)
	d=$(echo $line|cut -d\| -f2)
	t=$(echo $line|cut -d\| -f3)
	m=$(echo $line|cut -d\| -f4)
	$G r.external --quiet in=$f out=$b --o
	$G g.region --quiet rast=$b n=$uly s=$lry w=$ulx e=$lrx
    eval $($G r.univar map=$b -g)
	echo "$s|$d|$t|$m|$mean|$stddev|$min|$max|$cells|$null_cells"
done
done

rm -f $list
$G_CLEAN

exit 0
