#!/bin/sh
#
# Extract averages of in-field data for Segezia, by selected date
# within the previous hour in respect with the refence time.
#

cd $SM_TOOLS_OUTPUTDIR
echo "Name|Date and Time|Value|Depth max" >segezia_selected_data_by_date.txt
while IFS='' read -r line || [ -n "$line" ]
do
	date=$(echo $line|cut -d\| -f1)
	start_time=$(echo $line|cut -d\| -f2)
	stop_time=$(echo $line|cut -d\| -f3)
    spatialite -noheader $SM_TOOLS_DB "
	select s.name as n, m.datetime as d, value as v, m.depth_max from Measure as m, Sensor as s  
		where (m.depth_max=0.10 or m.depth_max=0.025 )and
		m.datetime >= '$date $start_time' and
		m.datetime <= '$date $stop_time' and
	    s.id=m.sensor_id and m.type='soil_moisture' and m.sensor_id in 
		(select id from Sensor where network_id=1) order by n,d,m.depth_max
" >>segezia_selected_data_by_date.txt
done <<EOF
2016-05-24|09:00:00|17:00:00
2017-12-18|09:00:00|17:00:00
2018-01-30|09:00:00|17:00:00
2018-03-15|09:00:00|17:00:00
EOF
