#!/bin/sh

if [ $# -ge 1 ]; then
	site=$*
else
	site="remedhus yanco txson littlewashita elmcreek"
fi

$SM_TOOLS/etc/grass_check.sh || exit 1

set -e

where=$($G v.out.ascii in=site_coords columns='site')

b=0.4
D="2017-07-19 14:00"

LIST=$(mktemp -q)

for line in $where
do
	x=$(echo $line|cut -d\| -f1)
	y=$(echo $line|cut -d\| -f2)
	s=$(echo $line|cut -d\| -f4)
	spatialite $SM_TOOLS_DB >$LIST <<EOF
	select d.uri || '/' || p.filename as f,
		date(p.reference_datetime) as d, 
		time(p.reference_datetime) as t, 
		p.product_type adds m 
	from Product as p, Path as d
	where d.id=p.uri_id and ST_Contains(p.boundingbox,ST_buffer(ST_PointFromText('POINT($x $y)'),0.4)) and
		p.product_type='P_MV' and p.processing_datetime >= '$D'
	order by m,d,t;
EOF
	ulx=$(perl -E "say $x-$b")
	uly=$(perl -E "say $y+$b")
	lrx=$(perl -E "say $x+$b")
	lry=$(perl -E "say $y-$b")
	for line in $(cat $LIST|sed -e 's/ /_/g')
	do
		f=$(echo $line|cut -d\| -f1)
		b=$(basename $f)
		d=$(echo $line|cut -d\| -f2)
		t=$(echo $line|cut -d\| -f3)
		m=$(echo $line|cut -d\| -f4)
		$G r.external --quiet in=$f out=$b --o
		$G g.region --quiet rast=$b n=$uly s=$lry w=$ulx e=$lrx
		eval $($G r.univar map=$b -g)
		echo "$s|$d|$t|$m|$mean|$stddev|$min|$max|$cells|$null_cells"
	done
done

rm -f $LIST
$G_CLEAN

exit 0
