select p.filename as FileName,
	   s.name as Name,
	   date(p.reference_datetime) as RefDate,
	   strftime('%H:%M', p.reference_datetime) as RefTime,
	   avg(m.value) as avg,
	   count(m.value) as ct,
	   min(m.depth_max) as Depth,
	   date(min(m.datetime)) as minMeasureDate,
	   strftime('%H:%M', min(m.datetime)) as minMeasureTime,
	   date(max(m.datetime)) as maxMeasureDate,
	   strftime('%H:%M', max(m.datetime)) as maxMeasureTime,
	   ST_X(s.location) as Longitude, ST_Y(s.location) as Latitude,
	   ST_X(ST_Transform(s.location,32633)) as X, ST_Y(ST_Transform(s.location,32633)) as Y
from Product as p,
	 Measure as m,
	 Sensor as s
where m.type = 'soil_moisture' and s.id = m.sensor_id and
	  date(m.datetime) = date(p.reference_datetime) and 
	  datetime(m.datetime) >= datetime(p.reference_datetime,'-1 hour') and 
	  datetime(m.datetime) <= datetime(p.reference_datetime) and 
      (m.depth_min <= 0.05 or m.depth_max <= 0.05) and 
	  ST_Contains(p.boundingbox, s.location) and 
	  m.sensor_id in (select id from Sensor where network_id=1 order by id)
group by 1,2,3,4,12,13,14,15
order by RefDate, Reftime; 

