#
# This script loads results of processings of LAI, SSM, NDVI, TLG and TEXT
# data and prepare all dataframe 
#

read_csv <- function(x) { read.csv(x, sep="|", header=T)}

home = Sys.getenv('HOME')
setwd(file.path(home,'sm-tools', 'streams_crossing', 'results'))

# winter

winter_lai_files <- Sys.glob("LAI*apulia*winter*.txt")
winter_lai_dates <- strsplit(winter_lai_files, split="_")
winter_lai <- lapply(winter_lai_files, read_csv)
for (i in 1:length(winter_lai_dates)) { winter_lai[[i]]$date <- winter_lai_dates[[i]][2]; }

winter_ndvi_files <- Sys.glob("NDVI*apulia*winter*.txt")
winter_ndvi_dates <- strsplit(winter_ndvi_files, split="_")
winter_ndvi <- lapply(winter_ndvi_files, read_csv)
for (i in 1:length(winter_ndvi_dates)) { winter_ndvi[[i]]$date <- winter_ndvi_dates[[i]][2]; }

winter_ssm_files <- Sys.glob("SSM*apulia*winter*.txt")
winter_ssm_dates <- strsplit(winter_ssm_files, split="_")
winter_ssm <- lapply(winter_ssm_files, read_csv)
for (i in 1:length(winter_ssm_dates)) { winter_ssm[[i]]$date <- winter_ssm_dates[[i]][2]; }

winter_tlg_files <- Sys.glob("TLG*apulia*winter*.txt")
winter_tlg_dates <- strsplit(winter_tlg_files, split="_")
winter_tlg <- lapply(winter_tlg_files, read_csv)
for (i in 1:length(winter_tlg_dates)) { winter_tlg[[i]]$date <- winter_tlg_dates[[i]][2]; }

winter_soil_files <- Sys.glob("SOIL*apulia*winter*.txt")
winter_soil_dates <- strsplit(winter_soil_files, split="_")
winter_soil <- lapply(winter_soil_files, read_csv)
for (i in 1:length(winter_soil_dates)) { winter_soil[[i]]$date <- winter_soil_dates[[i]][2]; }

winter_lai_files <- Sys.glob("LAI*apulia*winter*.txt")
winter_lai_dates <- strsplit(winter_lai_files, split="_")
winter_lai <- lapply(winter_lai_files, read_csv)
for (i in 1:length(winter_lai_dates)) { winter_lai[[i]]$date <- winter_lai_dates[[i]][2]; }

winter_ndvi_files <- Sys.glob("NDVI*apulia*winter*.txt")
winter_ndvi_dates <- strsplit(winter_ndvi_files, split="_")
winter_ndvi <- lapply(winter_ndvi_files, read_csv)
for (i in 1:length(winter_ndvi_dates)) { winter_ndvi[[i]]$date <- winter_ndvi_dates[[i]][2]; }

winter_ssm_files <- Sys.glob("SSM*apulia*winter*.txt")
winter_ssm_dates <- strsplit(winter_ssm_files, split="_")
winter_ssm <- lapply(winter_ssm_files, read_csv)
for (i in 1:length(winter_ssm_dates)) { winter_ssm[[i]]$date <- winter_ssm_dates[[i]][2]; }

winter_tlg_files <- Sys.glob("TLG*apulia*winter*.txt")
winter_tlg_dates <- strsplit(winter_tlg_files, split="_")
winter_tlg <- lapply(winter_tlg_files, read_csv)
for (i in 1:length(winter_tlg_dates)) { winter_tlg[[i]]$date <- winter_tlg_dates[[i]][2]; }

winter_soil_files <- Sys.glob("SOIL*apulia*winter*.txt")
winter_soil_dates <- strsplit(winter_soil_files, split="_")
winter_soil <- lapply(winter_soil_files, read_csv)
for (i in 1:length(winter_soil_dates)) { winter_soil[[i]]$date <- winter_soil_dates[[i]][2]; }

# spring

spring_lai_files <- Sys.glob("LAI*apulia*spring*.txt")
spring_lai_dates <- strsplit(spring_lai_files, split="_")
spring_lai <- lapply(spring_lai_files, read_csv)
for (i in 1:length(spring_lai_dates)) { spring_lai[[i]]$date <- spring_lai_dates[[i]][2]; }

spring_ndvi_files <- Sys.glob("NDVI*apulia*spring*.txt")
spring_ndvi_dates <- strsplit(spring_ndvi_files, split="_")
spring_ndvi <- lapply(spring_ndvi_files, read_csv)
for (i in 1:length(spring_ndvi_dates)) { spring_ndvi[[i]]$date <- spring_ndvi_dates[[i]][2]; }

spring_ssm_files <- Sys.glob("SSM*apulia*spring*.txt")
spring_ssm_dates <- strsplit(spring_ssm_files, split="_")
spring_ssm <- lapply(spring_ssm_files, read_csv)
for (i in 1:length(spring_ssm_dates)) { spring_ssm[[i]]$date <- spring_ssm_dates[[i]][2]; }

spring_tlg_files <- Sys.glob("TLG*apulia*spring*.txt")
spring_tlg_dates <- strsplit(spring_tlg_files, split="_")
spring_tlg <- lapply(spring_tlg_files, read_csv)
for (i in 1:length(spring_tlg_dates)) { spring_tlg[[i]]$date <- spring_tlg_dates[[i]][2]; }

spring_soil_files <- Sys.glob("SOIL*apulia*spring*.txt")
spring_soil_dates <- strsplit(spring_soil_files, split="_")
spring_soil <- lapply(spring_soil_files, read_csv)
for (i in 1:length(spring_soil_dates)) { spring_soil[[i]]$date <- spring_soil_dates[[i]][2]; }

spring_lai_files <- Sys.glob("LAI*apulia*spring*.txt")
spring_lai_dates <- strsplit(spring_lai_files, split="_")
spring_lai <- lapply(spring_lai_files, read_csv)
for (i in 1:length(spring_lai_dates)) { spring_lai[[i]]$date <- spring_lai_dates[[i]][2]; }

spring_ndvi_files <- Sys.glob("NDVI*apulia*spring*.txt")
spring_ndvi_dates <- strsplit(spring_ndvi_files, split="_")
spring_ndvi <- lapply(spring_ndvi_files, read_csv)
for (i in 1:length(spring_ndvi_dates)) { spring_ndvi[[i]]$date <- spring_ndvi_dates[[i]][2]; }

spring_ssm_files <- Sys.glob("SSM*apulia*spring*.txt")
spring_ssm_dates <- strsplit(spring_ssm_files, split="_")
spring_ssm <- lapply(spring_ssm_files, read_csv)
for (i in 1:length(spring_ssm_dates)) { spring_ssm[[i]]$date <- spring_ssm_dates[[i]][2]; }

spring_tlg_files <- Sys.glob("TLG*apulia*spring*.txt")
spring_tlg_dates <- strsplit(spring_tlg_files, split="_")
spring_tlg <- lapply(spring_tlg_files, read_csv)
for (i in 1:length(spring_tlg_dates)) { spring_tlg[[i]]$date <- spring_tlg_dates[[i]][2]; }

spring_soil_files <- Sys.glob("SOIL*apulia*spring*.txt")
spring_soil_dates <- strsplit(spring_soil_files, split="_")
spring_soil <- lapply(spring_soil_files, read_csv)
for (i in 1:length(spring_soil_dates)) { spring_soil[[i]]$date <- spring_soil_dates[[i]][2]; }

par(mar=c(11,3,2,2))

# merge series of data

winter_lai_all <- winter_lai[[1]]
for (i in 2:length(winter_lai)) { winter_lai_all <- rbind(winter_lai_all, winter_lai[[i]]) }
winter_ssm_all <- winter_ssm[[1]]
for (i in 2:length(winter_ssm)) { winter_ssm_all <- rbind(winter_ssm_all, winter_ssm[[i]]) }
winter_ndvi_all <- winter_ndvi[[1]]
for (i in 2:length(winter_ndvi)) { winter_ndvi_all <- rbind(winter_ndvi_all, winter_ndvi[[i]]) }
winter_tlg_all <- winter_tlg[[1]]
for (i in 2:length(winter_tlg)) { winter_tlg_all <- rbind(winter_tlg_all, winter_tlg[[i]]) }


spring_lai_all <- spring_lai[[1]]
for (i in 2:length(spring_lai)) { spring_lai_all <- rbind(spring_lai_all, spring_lai[[i]]) }
spring_ssm_all <- spring_ssm[[1]]
for (i in 2:length(spring_ssm)) { spring_ssm_all <- rbind(spring_ssm_all, spring_ssm[[i]]) }
spring_ndvi_all <- spring_ndvi[[1]]
for (i in 2:length(spring_ndvi)) { spring_ndvi_all <- rbind(spring_ndvi_all, spring_ndvi[[i]]) }
spring_tlg_all <- spring_tlg[[1]]
for (i in 2:length(spring_tlg)) { spring_tlg_all <- rbind(spring_tlg_all, spring_tlg[[i]]) }


# merge by columns to subset() on multiple data

#winter_lai2ssm <- merge(winter_lai_all, winter_ssm_all, by=c("map","cat","date"), suffixes=c(".lai",".ssm"));
#spring_lai2ssm <- merge(spring_lai_all, spring_ssm_all, by=c("map","cat","date"), suffixes=c(".lai",".ssm"));

winter_lai2ndvi <- merge(winter_lai_all, winter_ndvi_all, by=c("map","cat","date"), suffixes=c(".lai",".ndvi"), all.x=T);
spring_lai2ndvi <- merge(spring_lai_all, spring_ndvi_all, by=c("map","cat","date"), suffixes=c(".lai",".ndvi"), all.x=T);

winter_ssm2tlg <- merge(winter_ssm_all, winter_tlg_all, by=c("map","cat","date"), suffixes=c(".ssm",".tlg"), all.x=T);
spring_ssm2tlg <- merge(spring_ssm_all, spring_tlg_all, by=c("map","cat","date"), suffixes=c(".ssm",".tlg"), all.x=T);

winter_filt_ssm <- subset(winter_ssm2tlg, is.na(tillage))
spring_filt_ssm <- subset(spring_ssm2tlg, is.na(tillage))

# Some useful hints 

#plot(df$crop, df$avg, las=2, main="SSM/LAI/NDVI mean" )
#plot(df$crop, df$stddev, las=2, main="SSM/LAI/NDVI Std Dev" )
#subset(df, crop=="Durum Wheat" & abs(skew)<=0.5 & abs(kurt)<=0.5)
#summary(df)

# This is useful for boxplotting time series by date

# df<-subset(ndvi_all, crop=="Asparagus" & abs(skew)<=1 & abs(kurt)<=1)
# boxplot(df$avg ~ df$date, las = 2, ylab="NDVI", main="Mean NDVI for Asparagus")
# means <- tapply(df$avg,df$date,mean)
# points(means,col="red",pch=18)

