#!/bin/sh

#
# Here we are considering only polygons considered as irrigated by in field surveys
#

cd $SM_TOOLS/streams_crossing

TAG=p_ssm_img_zs_mean_run_n4_v1_2_20190331_asc
YEAR=2017
POLYGONS=GSAA_2018_Foggia_1ha
SSM=$(spatialite -batch -noheader $SM_TOOLS_DB<<EOF
select filename,date(reference_datetime) from Product where tag='$TAG' and strftime('%Y',reference_datetime)='$YEAR' and strftime('%m',reference_datetime) in ('05','06','07');
EOF
)

$G r.mask -r

$G g.region rast=$POLYGONS
$G r.mapcalc expr="polygon_mask=if($POLYGONS,1,0)" --o

$G r.mask maskcats="1" raster=italy_irrigated_2017_mask --o
for l in $SSM 
do 
	f=$(echo $l|cut -d\| -f1); 
	d=$(echo $l|cut -d\| -f2);
	$G r.external in=$SM_TOOLS_REPO/$f out=input --o; 
	echo $d; 
	$G r.null setnull=0 map=input; 
	$G r.mapcalc expr="output=if(input,input,null())" --o
	$G r.univar -e -t map=output
done >results/irr2017_reports.txt

$G r.mask -r
$G r.mapcalc expr="m=~italy_irrigated_2017_mask & polygon_mask" --o
$G r.mask rast=m maskcats="1" --o
for l in $SSM 
do 
	f=$(echo $l|cut -d\| -f1); 
	d=$(echo $l|cut -d\| -f2);
	$G r.external in=$SM_TOOLS_REPO/$f out=input --o; 
	echo $d; 
	$G r.null setnull=0 map=input; 
	$G r.mapcalc expr="output=if(input,input,null())" --o
	$G r.univar -e -t map=output
done >results/noirr2017_reports.txt

YEAR=2018
SSM=$(spatialite -batch -noheader $SM_TOOLS_DB<<EOF
select filename,date(reference_datetime) from Product where tag='$TAG' and strftime('%Y',reference_datetime)='$YEAR' and strftime('%m',reference_datetime) in ('05','06','07');
EOF
)

$G r.mask maskcats="1" raster=italy_irrigated_2018_mask --o
for l in $SSM 
do 
	f=$(echo $l|cut -d\| -f1); 
	d=$(echo $l|cut -d\| -f2);
	$G r.external in=$SM_TOOLS_REPO/$f out=input --o; 
	echo $d; 
	$G r.null setnull=0 map=input; 
	$G r.mapcalc expr="output=if(input,input,null())" --o
	$G r.univar -e -t map=output
done >results/irr2018_reports.txt

$G r.mask -r
$G r.mapcalc expr="m=~italy_irrigated_2018_mask & polygon_mask" --o
$G r.mask rast=m maskcats="1" --o
for l in $SSM 
do 
	f=$(echo $l|cut -d\| -f1); 
	d=$(echo $l|cut -d\| -f2);
	$G r.external in=$SM_TOOLS_REPO/$f out=input --o; 
	echo $d; 
	$G r.null setnull=0 map=input; 
	$G r.mapcalc expr="output=if(input,input,null())" --o
	$G r.univar -e -t map=output
done >results/noirr2018_reports.txt

$G r.mask -r

exit 0
