#!/bin/sh

cd $SM_TOOLS/streams_crossing

TAG=p_ssm_img_zs_mean_run_n4_v1_2_20190331_asc
YEAR=2017
POLYGONS=GSAA_2018_Foggia_1ha
SSM=$(spatialite -batch -noheader $SM_TOOLS_DB<<EOF
select filename,date(reference_datetime) from Product where tag='$TAG' and strftime('%Y',reference_datetime)='$YEAR' and strftime('%m',reference_datetime) in ('05','06','07');
EOF
)

$G r.mask -r
$G g.region rast=$POLYGONS
$G r.mapcalc expr="polygon_mask=if($POLYGONS,1,0)" --o





$G r.mask -r
$G r.mapcalc expr="ndvi_mask=if(italy_ndvi_mask_04_1ha,1,0)" --o
$G r.mask maskcats="1" raster=ndvi_mask --o
for l in $SSM 
do 
	f=$(echo $l|cut -d\| -f1); 
	d=$(echo $l|cut -d\| -f2);
	$G r.external in=$SM_TOOLS_REPO/$f out=input --o; 
	echo $d; 
	$G r.null setnull=0 map=input; 
	$G r.mapcalc expr="output=if(input,input,null())" --o
	$G r.univar -e -t map=output
done >results/irr04_reports.txt

$G r.mask -r
$G r.null null=0 map=ndvi_mask
$G r.mapcalc expr="m=~ndvi_mask & polygon_mask" --o
$G r.mask rast=m maskcats="1" --o
for l in $SSM 
do 
	f=$(echo $l|cut -d\| -f1); 
	d=$(echo $l|cut -d\| -f2);
	$G r.external in=$SM_TOOLS_REPO/$f out=input --o; 
	echo $d; 
	$G r.null setnull=0 map=input; 
	$G r.mapcalc expr="output=if(input,input,null())" --o
	$G r.univar -e -t map=output
done >results/noirr04_reports.txt





$G r.mask -r
$G r.mapcalc expr="ndvi_mask=if(italy_ndvi_mask_06_1ha,1,0)" --o
$G r.mask maskcats="1" raster=ndvi_mask --o
for l in $SSM 
do 
	f=$(echo $l|cut -d\| -f1); 
	d=$(echo $l|cut -d\| -f2);
	$G r.external in=$SM_TOOLS_REPO/$f out=input --o; 
	echo $d; 
	$G r.null setnull=0 map=input; 
	$G r.mapcalc expr="output=if(input,input,null())" --o
	$G r.univar -e -t map=output
done >results/irr06_reports.txt

$G r.mask -r
$G r.null null=0 map=ndvi_mask
$G r.mapcalc expr="m=~ndvi_mask & polygon_mask" --o
$G r.mask maskcats="1" raster=m --o
for l in $SSM 
do 
	f=$(echo $l|cut -d\| -f1); 
	d=$(echo $l|cut -d\| -f2);
	$G r.external in=$SM_TOOLS_REPO/$f out=input --o; 
	echo $d; 
	$G r.null setnull=0 map=input; 
	$G r.mapcalc expr="output=if(input,input,null())" --o
	$G r.univar -e -t map=output
done >results/noirr06_reports.txt

$G r.mask -r

exit 0
