

home = Sys.getenv('HOME')
setwd(file.path(home,'sm-tools', 'streams_crossing', 'results'))

irr04<-read.csv('SSM_italy_irrigated04_stats.txt',header=T, sep='|')
irr06<-read.csv('SSM_italy_irrigated06_stats.txt',header=T,  sep='|')
noirr04<-read.csv('SSM_italy_notirrigated04_stats.txt',header=T, sep='|')
noirr06<-read.csv('SSM_italy_notirrigated06_stats.txt',header=T, sep='|')

bp_irr04 <- boxplot(irr04$SSM/10000.0 ~ irr04$date, las=2, ylim=c(0,0.6), main='Average SSM on irrigated - NDVI threshold 0,4')
bp_noirr04 <- boxplot(noirr04$SSM/10000.0 ~ noirr04$date, las=2, ylim=c(0,0.6), main='Average SSM on not irrigated - NDVI threshold 0,4')
irr04_means <- tapply(irr04$SSM/10000.0,irr04$date,mean)
noirr04_means <- tapply(noirr04$SSM/10000.0,noirr04$date,mean)

setwd(file.path(home,'sm-tools', 'streams_crossing'))

write.csv(bp_irr04$stats,file='results/graphs_20190919/bp_irr04_stats.csv')
write.csv(bp_irr04$names,file='results/graphs_20190919/bp_irr04_names.csv')
write.csv(bp_irr04$n,file='results/graphs_20190919/bp_irr04_n.csv')
write.csv(irr04_means,file='results/graphs_20190919/bp_irr04_means.csv')

write.csv(bp_noirr04$stats,file='results/graphs_20190919/bp_noirr04_stats.csv')
write.csv(bp_noirr04$names,file='results/graphs_20190919/bp_noirr04_names.csv')
write.csv(bp_noirr04$n,file='results/graphs_20190919/bp_noirr04_n.csv')
write.csv(noirr04_means,file='results/graphs_20190919/bp_noirr04_means.csv')



bp_irr06 <- boxplot(irr06$SSM/10000.0 ~ irr06$date, las=2, ylim=c(0,0.6), main='Average SSM on irrigated - NDVI threshold 0,6')
bp_noirr06 <- boxplot(noirr06$SSM/10000.0 ~ noirr06$date, las=2, ylim=c(0,0.6), main='Average SSM on not irrigated - NDVI threshold 0,6')
irr06_means <- tapply(irr06$SSM/10000.0,irr06$date,mean)
noirr06_means <- tapply(noirr06$SSM/10000.0,noirr06$date,mean)

write.csv(bp_irr06$stats,file='results/graphs_20190919/bp_irr06_stats.csv')
write.csv(bp_irr06$names,file='results/graphs_20190919/bp_irr06_names.csv')
write.csv(bp_irr06$n,file='results/graphs_20190919/bp_irr06_n.csv')
write.csv(irr06_means,file='results/graphs_20190919/bp_irr06_means.csv')

write.csv(bp_noirr06$stats,file='results/graphs_20190919/bp_noirr06_stats.csv')
write.csv(bp_noirr06$names,file='results/graphs_20190919/bp_noirr06_names.csv')
write.csv(bp_noirr06$n,file='results/graphs_20190919/bp_noirr06_n.csv')
write.csv(noirr06_means,file='results/graphs_20190919/bp_noirr06_means.csv')

