#!/bin/sh

# This tiny script is used to import the Spain land cover and
# split it by month of survey. Note that geometries are partially overlapping
# so a direct import into grass would result in rough errors for broken
# topologies

cd /ocean/projects/EU_SENSAGRI/Test_sites/Spain/Itacyl/classification_maps/2017_Clasificacion_MCSNCyL

LC=2018-02-01-MCSNCyL2017.tif
CATS=Codificacion_de_la_capa_raster_2017.csv
MAP=spain_2017

$G_PERM r.import in=$LC out=$MAP title="Spain Itacyl LC 2017" --o
RULES=$(mktemp -q)

cat >$RULES <<EOF
1,TRIGO
2,CENTENO
3,ARTIFICIAL
4,MAIZ
5,CEBADA
6,AVENA
7,TRITICALE
8,OTROS CEREALES
9,ROQUEDOS
20,SUELO DESNUDO
33,GIRASOL
35,COLZA
39,OTRAS LEGUMINOSAS GRANO
40,GUISANTES
60,ALFALFA
61,FORRAJERAS
70,TRIGO REGADIO
71,CEBADA REGADIO
72,ALFALFA REGADIO
73,GIRASOL REGADIO
74,OTROS CEREALES REGADIO
75,CENTENO REGADIO
76,AVENA REGADIO
77,TRITICALE REGADIO
80,OTROS CULTIVOS INDUSTRIALES
82,REMOLACHA
94,PATATAS
100,VINEDO
101,OLIVAR
110,HORTICOLA
177,AROMATICAS
181,FRUTALES
183,FRUTALES CASCARA
200,PASTIZAL
201,MATORRAL
202,CONIFERAS
203,FRONDOSAS CADUCIFOLIAS
204,FRONDOSAS SIEMPRE VERDES
255,LAMINA AGUA
EOF

$G_PERM r.category rules=$RULES sep=, map=$MAP
#$G_PERM r.clump in=$MAP out=${MAP}_clump
#$G_PERM r.stats.zonal -r base=${MAP}_clump cover=$MAP method=min out=${MAP}_clump_label

rm -f $RULES
