#
# Run this after the main script line by line in order to manage a decent output of graphics.
# 

ssm_trigo<-subset(ssm_all,crop=='TRIGO' & clim.div==1 & clim==4 & div %in% c(1,2) )
ssm_trigo_reg<-subset(ssm_all,crop=='TRIGO REGADIO' & clim.div==1 & clim==4 & div %in% c(1,2) )

ssm_mais<-subset(ssm_all,crop=='MAIZ')

ssm_girasol<-subset(ssm_all,crop=='GIRASOL')
ssm_girasol_reg<-subset(ssm_all,crop=='GIRASOL REGADIO')

ssm_alfalfa<-subset(ssm_all,crop=='ALFALFA')
ssm_alfalfa_reg<-subset(ssm_all,crop=='ALFALFA REGADIO')

ssm_centeno<-subset(ssm_all,crop=='CENTENO')
ssm_centeno_reg<-subset(ssm_all,crop=='CENTENO REGADIO')

ssm_avena<-subset(ssm_all,crop=='AVENA')
ssm_avena_reg<-subset(ssm_all,crop=='AVENA REGADIO')

ssm_cebada<-subset(ssm_all,crop=='CEBADA')
ssm_cebada_reg<-subset(ssm_all,crop=='CEBADA REGADIO')

ssm_triticale<-subset(ssm_all,crop=='TRITICALE')
ssm_triticale_reg<-subset(ssm_all,crop=='TRITICALE REGADIO')

par(mar=c(7,3,2,2))


# SSM

bp_trigo<-boxplot(ssm_trigo$avg/10000.0 ~ ssm_trigo$date, las=2, ylim=c(0,0.6),main='Average SSM for TRIGO')
write.csv(bp_trigo$stats,file='results/graphs_20190726/bp_trigo_stats.csv')
write.csv(bp_trigo$names,file='results/graphs_20190726/bp_trigo_names.csv')
write.csv(bp_trigo$n,file='results/graphs_20190726/bp_trigo_n.csv')
write.csv(bp_trigo$out,file='results/graphs_20190726/bp_trigo_out.csv')
write.csv(bp_trigo$group,file='results/graphs_20190726/bp_trigo_group.csv')

bp_trigo_reg<-boxplot(ssm_trigo_reg$avg/10000.0 ~ ssm_trigo_reg$date, las=2, ylim=c(0,0.6),main='Average SSM for TRIGO REGADIO')
write.csv(bp_trigo_reg$stats,file='results/graphs_20190726/bp_trigo_reg_stats.csv')
write.csv(bp_trigo_reg$names,file='results/graphs_20190726/bp_trigo_reg_names.csv')
write.csv(bp_trigo_reg$n,file='results/graphs_20190726/bp_trigo_reg_n.csv')
write.csv(bp_trigo_reg$out,file='results/graphs_20190726/bp_trigo_reg_out.csv')
write.csv(bp_trigo_reg$group,file='results/graphs_20190726/bp_trigo_reg_group.csv')

bp_mais<-boxplot(ssm_mais$avg/10000.0 ~ ssm_mais$date, las=2, ylim=c(0,0.6),main='Average SSM for MAIZ')
write.csv(bp_mais$stats,file='results/graphs_20190726/bp_mais_stats.csv')
write.csv(bp_mais$names,file='results/graphs_20190726/bp_mais_names.csv')
write.csv(bp_mais$n,file='results/graphs_20190726/bp_mais_n.csv')
write.csv(bp_mais$out,file='results/graphs_20190726/bp_mais_out.csv')
write.csv(bp_mais$group,file='results/graphs_20190726/bp_mais_group.csv')

bp_girasol<-boxplot(ssm_girasol$avg/10000.0 ~ ssm_girasol$date, las=2, ylim=c(0,0.6),main='Average SSM for GIRASOL')
write.csv(bp_girasol$stats,file='results/graphs_20190726/bp_girasol_stats.csv')
write.csv(bp_girasol$names,file='results/graphs_20190726/bp_girasol_names.csv')
write.csv(bp_girasol$n,file='results/graphs_20190726/bp_girasol_n.csv')
write.csv(bp_girasol$out,file='results/graphs_20190726/bp_girasol_out.csv')
write.csv(bp_girasol$group,file='results/graphs_20190726/bp_girasol_group.csv')

bp_girasol_reg<-boxplot(ssm_girasol_reg$avg/10000.0 ~ ssm_girasol_reg$date, las=2, ylim=c(0,0.6),main='Average SSM for GIRASOL REGADIO')
write.csv(bp_girasol_reg$stats,file='results/graphs_20190726/bp_girasol_reg_stats.csv')
write.csv(bp_girasol_reg$names,file='results/graphs_20190726/bp_girasol_reg_names.csv')
write.csv(bp_girasol_reg$n,file='results/graphs_20190726/bp_girasol_reg_n.csv')
write.csv(bp_girasol_reg$out,file='results/graphs_20190726/bp_girasol_reg_out.csv')
write.csv(bp_girasol_reg$group,file='results/graphs_20190726/bp_girasol_reg_group.csv')

bp_alfalfa<-boxplot(ssm_alfalfa$avg/10000.0 ~ ssm_alfalfa$date, las=2, ylim=c(0,0.6),main='Average SSM for ALFALFA')
write.csv(bp_alfalfa$stats,file='results/graphs_20190726/bp_alfalfa_stats.csv')
write.csv(bp_alfalfa$names,file='results/graphs_20190726/bp_alfalfa_names.csv')
write.csv(bp_alfalfa$n,file='results/graphs_20190726/bp_alfalfa_n.csv')
write.csv(bp_alfalfa$out,file='results/graphs_20190726/bp_alfalfa_out.csv')
write.csv(bp_alfalfa$group,file='results/graphs_20190726/bp_alfalfa_group.csv')

bp_alfalfa_reg<-boxplot(ssm_alfalfa_reg$avg/10000.0 ~ ssm_alfalfa_reg$date, las=2, ylim=c(0,0.6),main='Average SSM for ALFALFA REGADIO')
write.csv(bp_alfalfa_reg$stats,file='results/graphs_20190726/bp_alfalfa_reg_stats.csv')
write.csv(bp_alfalfa_reg$names,file='results/graphs_20190726/bp_alfalfa_reg_names.csv')
write.csv(bp_alfalfa_reg$n,file='results/graphs_20190726/bp_alfalfa_reg_n.csv')
write.csv(bp_alfalfa_reg$out,file='results/graphs_20190726/bp_alfalfa_reg_out.csv')
write.csv(bp_alfalfa_reg$group,file='results/graphs_20190726/bp_alfalfa_reg_group.csv')


bp_centeno<-boxplot(ssm_centeno$avg/10000.0 ~ ssm_centeno$date, las=2, ylim=c(0,0.6000),main='Average SSM for CENTENO')
write.csv(bp_centeno$stats,file='results/graphs_20190726/bp_centeno_stats.csv')
write.csv(bp_centeno$names,file='results/graphs_20190726/bp_centeno_names.csv')
write.csv(bp_centeno$n,file='results/graphs_20190726/bp_centeno_n.csv')
write.csv(bp_centeno$out,file='results/graphs_20190726/bp_centeno_out.csv')
write.csv(bp_centeno$group,file='results/graphs_20190726/bp_centeno_group.csv')


bp_centeno_reg<-boxplot(ssm_centeno_reg$avg/10000.0 ~ ssm_centeno_reg$date, las=2, ylim=c(0,0.6000),main='Average SSM for CENTENO REGADIO')
write.csv(bp_centeno_reg$stats,file='results/graphs_20190726/bp_centeno_reg_stats.csv')
write.csv(bp_centeno_reg$names,file='results/graphs_20190726/bp_centeno_reg_names.csv')
write.csv(bp_centeno_reg$n,file='results/graphs_20190726/bp_centeno_reg_n.csv')
write.csv(bp_centeno_reg$out,file='results/graphs_20190726/bp_centeno_reg_out.csv')
write.csv(bp_centeno_reg$group,file='results/graphs_20190726/bp_centeno_reg_group.csv')

bp_avena<-boxplot(ssm_avena$avg/10000.0 ~ ssm_avena$date, las=2, ylim=c(0,0.6000),main='Average SSM for AVENA')
write.csv(bp_avena$stats,file='results/graphs_20190726/bp_avena_stats.csv')
write.csv(bp_avena$names,file='results/graphs_20190726/bp_avena_names.csv')
write.csv(bp_avena$n,file='results/graphs_20190726/bp_avena_n.csv')
write.csv(bp_avena$out,file='results/graphs_20190726/bp_avena_out.csv')
write.csv(bp_avena$group,file='results/graphs_20190726/bp_avena_group.csv')

bp_avena_reg<-boxplot(ssm_avena_reg$avg/10000.0 ~ ssm_avena_reg$date, las=2, ylim=c(0,0.6000),main='Average SSM for AVENA REGADIO')
write.csv(bp_avena_reg$stats,file='results/graphs_20190726/bp_avena_reg_stats.csv')
write.csv(bp_avena_reg$names,file='results/graphs_20190726/bp_avena_reg_names.csv')
write.csv(bp_avena_reg$n,file='results/graphs_20190726/bp_avena_reg_n.csv')
write.csv(bp_avena_reg$out,file='results/graphs_20190726/bp_avena_reg_out.csv')
write.csv(bp_avena_reg$group,file='results/graphs_20190726/bp_avena_reg_group.csv')

bp_cebada<-boxplot(ssm_cebada$avg/10000.0 ~ ssm_cebada$date, las=2, ylim=c(0,0.6000),main='Average SSM for CEBADA')
write.csv(bp_cebada$stats,file='results/graphs_20190726/bp_cebada_stats.csv')
write.csv(bp_cebada$names,file='results/graphs_20190726/bp_cebada_names.csv')
write.csv(bp_cebada$n,file='results/graphs_20190726/bp_cebada_n.csv')
write.csv(bp_cebada$out,file='results/graphs_20190726/bp_cebada_out.csv')
write.csv(bp_cebada$group,file='results/graphs_20190726/bp_cebada_group.csv')

bp_cebada_reg<-boxplot(ssm_cebada_reg$avg/10000.0 ~ ssm_cebada_reg$date, las=2, ylim=c(0,0.6000),main='Average SSM for CEBADA REGADIO')
write.csv(bp_cebada_reg$stats,file='results/graphs_20190726/bp_cebada_reg_stats.csv')
write.csv(bp_cebada_reg$names,file='results/graphs_20190726/bp_cebada_reg_names.csv')
write.csv(bp_cebada_reg$n,file='results/graphs_20190726/bp_cebada_reg_n.csv')
write.csv(bp_cebada_reg$out,file='results/graphs_20190726/bp_cebada_reg_out.csv')
write.csv(bp_cebada_reg$group,file='results/graphs_20190726/bp_cebada_reg_group.csv')

bp_triticale<-boxplot(ssm_triticale$avg/10000.0 ~ ssm_triticale$date, las=2, ylim=c(0,0.6000),main='Average SSM for TRITICALE')
write.csv(bp_triticale$stats,file='results/graphs_20190726/bp_triticale_stats.csv')
write.csv(bp_triticale$names,file='results/graphs_20190726/bp_triticale_names.csv')
write.csv(bp_triticale$n,file='results/graphs_20190726/bp_triticale_n.csv')
write.csv(bp_triticale$out,file='results/graphs_20190726/bp_triticale_out.csv')
write.csv(bp_triticale$group,file='results/graphs_20190726/bp_triticale_group.csv')

bp_triticale_reg<-boxplot(ssm_triticale_reg$avg/10000.0 ~ ssm_triticale_reg$date, las=2, ylim=c(0,0.6000),main='Average SSM for TRITICALE REGADIO')
write.csv(bp_triticale_reg$stats,file='results/graphs_20190726/bp_triticale_reg_stats.csv')
write.csv(bp_triticale_reg$names,file='results/graphs_20190726/bp_triticale_reg_names.csv')
write.csv(bp_triticale_reg$n,file='results/graphs_20190726/bp_triticale_reg_n.csv')
write.csv(bp_triticale_reg$out,file='results/graphs_20190726/bp_triticale_reg_out.csv')
write.csv(bp_triticale_reg$group,file='results/graphs_20190726/bp_triticale_reg_group.csv')


# LAI


lai_trigo<-subset(lai_all,crop=='TRIGO' & clim.div==1 & clim==4 & div %in% c(1,2))
lai_trigo_reg<-subset(lai_all,crop=='TRIGO REGADIO' & clim.div==1 & clim==4 & div %in% c(1,2))

lai_mais<-subset(lai_all,crop=='MAIZ')

lai_girasol<-subset(lai_all,crop=='GIRASOL')
lai_girasol_reg<-subset(lai_all,crop=='GIRASOL REGADIO')

lai_alfalfa<-subset(lai_all,crop=='ALFALFA')
lai_alfalfa_reg<-subset(lai_all,crop=='ALFALFA REGADIO')

lai_centeno<-subset(lai_all,crop=='CENTENO')
lai_centeno_reg<-subset(lai_all,crop=='CENTENO REGADIO')

lai_avena<-subset(lai_all,crop=='AVENA')
lai_avena_reg<-subset(lai_all,crop=='AVENA REGADIO')

lai_cebada<-subset(lai_all,crop=='CEBADA')
lai_cebada_reg<-subset(lai_all,crop=='CEBADA REGADIO')

lai_triticale<-subset(lai_all,crop=='TRITICALE')
lai_triticale_reg<-subset(lai_all,crop=='TRITICALE REGADIO')

par(mar=c(7,3,2,2))

bp_lai_trigo<-boxplot(lai_trigo$avg ~ lai_trigo$date, las=2, ylim=c(0,10.0),main='Average LAI for TRIGO')
write.csv(bp_lai_trigo$stats,file='results/graphs_20190726/bp_lai_trigo_stats.csv')
write.csv(bp_lai_trigo$names,file='results/graphs_20190726/bp_lai_trigo_names.csv')
write.csv(bp_lai_trigo$n,file='results/graphs_20190726/bp_lai_trigo_n.csv')
write.csv(bp_lai_trigo$out,file='results/graphs_20190726/bp_lai_trigo_out.csv')
write.csv(bp_lai_trigo$group,file='results/graphs_20190726/bp_lai_trigo_group.csv')

bp_lai_trigo_reg<-boxplot(lai_trigo_reg$avg ~ lai_trigo_reg$date, las=2, ylim=c(0,10.0),main='Average LAI for TRIGO REGADIO')
write.csv(bp_lai_trigo_reg$stats,file='results/graphs_20190726/bp_lai_trigo_reg_stats.csv')
write.csv(bp_lai_trigo_reg$names,file='results/graphs_20190726/bp_lai_trigo_reg_names.csv')
write.csv(bp_lai_trigo_reg$n,file='results/graphs_20190726/bp_lai_trigo_reg_n.csv')
write.csv(bp_lai_trigo_reg$out,file='results/graphs_20190726/bp_lai_trigo_reg_out.csv')
write.csv(bp_lai_trigo_reg$group,file='results/graphs_20190726/bp_lai_trigo_reg_group.csv')

bp_lai_mais<-boxplot(lai_mais$avg ~ lai_mais$date, las=2, ylim=c(0,10.0),main='Average LAI for MAIZ')
write.csv(bp_lai_mais$stats,file='results/graphs_20190726/bp_lai_mais_stats.csv')
write.csv(bp_lai_mais$names,file='results/graphs_20190726/bp_lai_mais_names.csv')
write.csv(bp_lai_mais$n,file='results/graphs_20190726/bp_lai_mais_n.csv')
write.csv(bp_lai_mais$out,file='results/graphs_20190726/bp_lai_mais_out.csv')
write.csv(bp_lai_mais$group,file='results/graphs_20190726/bp_lai_mais_group.csv')

bp_lai_girasol<-boxplot(lai_girasol$avg ~ lai_girasol$date, las=2, ylim=c(0,10.0),main='Average LAI for GIRASOL')
write.csv(bp_lai_girasol$stats,file='results/graphs_20190726/bp_lai_girasol_stats.csv')
write.csv(bp_lai_girasol$names,file='results/graphs_20190726/bp_lai_girasol_names.csv')
write.csv(bp_lai_girasol$n,file='results/graphs_20190726/bp_lai_girasol_n.csv')
write.csv(bp_lai_girasol$out,file='results/graphs_20190726/bp_lai_girasol_out.csv')
write.csv(bp_lai_girasol$group,file='results/graphs_20190726/bp_lai_girasol_group.csv')

bp_lai_girasol_reg<-boxplot(lai_girasol_reg$avg ~ lai_girasol_reg$date, las=2, ylim=c(0,10.0),main='Average LAI for GIRASOL REGADIO')
write.csv(bp_lai_girasol_reg$stats,file='results/graphs_20190726/bp_lai_girasol_reg_stats.csv')
write.csv(bp_lai_girasol_reg$names,file='results/graphs_20190726/bp_lai_girasol_reg_names.csv')
write.csv(bp_lai_girasol_reg$n,file='results/graphs_20190726/bp_lai_girasol_reg_n.csv')
write.csv(bp_lai_girasol_reg$out,file='results/graphs_20190726/bp_lai_girasol_reg_out.csv')
write.csv(bp_lai_girasol_reg$group,file='results/graphs_20190726/bp_lai_girasol_reg_group.csv')

bp_lai_alfalfa<-boxplot(lai_alfalfa$avg ~ lai_alfalfa$date, las=2, ylim=c(0,10.0),main='Average LAI for ALFALFA')
write.csv(bp_lai_alfalfa$stats,file='results/graphs_20190726/bp_lai_alfalfa_stats.csv')
write.csv(bp_lai_alfalfa$names,file='results/graphs_20190726/bp_lai_alfalfa_names.csv')
write.csv(bp_lai_alfalfa$n,file='results/graphs_20190726/bp_lai_alfalfa_n.csv')
write.csv(bp_lai_alfalfa$out,file='results/graphs_20190726/bp_lai_alfalfa_out.csv')
write.csv(bp_lai_alfalfa$group,file='results/graphs_20190726/bp_lai_alfalfa_group.csv')

bp_lai_alfalfa_reg<-boxplot(lai_alfalfa_reg$avg ~ lai_alfalfa_reg$date, las=2, ylim=c(0,10.0),main='Average LAI for ALFALFA REGADIO')
write.csv(bp_lai_alfalfa_reg$stats,file='results/graphs_20190726/bp_lai_alfalfa_reg_stats.csv')
write.csv(bp_lai_alfalfa_reg$names,file='results/graphs_20190726/bp_lai_alfalfa_reg_names.csv')
write.csv(bp_lai_alfalfa_reg$n,file='results/graphs_20190726/bp_lai_alfalfa_reg_n.csv')
write.csv(bp_lai_alfalfa_reg$out,file='results/graphs_20190726/bp_lai_alfalfa_reg_out.csv')
write.csv(bp_lai_alfalfa_reg$group,file='results/graphs_20190726/bp_lai_alfalfa_reg_group.csv')


bp_lai_centeno<-boxplot(lai_centeno$avg ~ lai_centeno$date, las=2, ylim=c(0,10.0000),main='Average LAI for CENTENO')
write.csv(bp_lai_centeno$stats,file='results/graphs_20190726/bp_lai_centeno_stats.csv')
write.csv(bp_lai_centeno$names,file='results/graphs_20190726/bp_lai_centeno_names.csv')
write.csv(bp_lai_centeno$n,file='results/graphs_20190726/bp_lai_centeno_n.csv')
write.csv(bp_lai_centeno$out,file='results/graphs_20190726/bp_lai_centeno_out.csv')
write.csv(bp_lai_centeno$group,file='results/graphs_20190726/bp_lai_centeno_group.csv')


bp_lai_centeno_reg<-boxplot(lai_centeno_reg$avg ~ lai_centeno_reg$date, las=2, ylim=c(0,10.0000),main='Average LAI for CENTENO REGADIO')
write.csv(bp_lai_centeno_reg$stats,file='results/graphs_20190726/bp_lai_centeno_reg_stats.csv')
write.csv(bp_lai_centeno_reg$names,file='results/graphs_20190726/bp_lai_centeno_reg_names.csv')
write.csv(bp_lai_centeno_reg$n,file='results/graphs_20190726/bp_lai_centeno_reg_n.csv')
write.csv(bp_lai_centeno_reg$out,file='results/graphs_20190726/bp_lai_centeno_reg_out.csv')
write.csv(bp_lai_centeno_reg$group,file='results/graphs_20190726/bp_lai_centeno_reg_group.csv')

bp_lai_avena<-boxplot(lai_avena$avg ~ lai_avena$date, las=2, ylim=c(0,10.0000),main='Average LAI for AVENA')
write.csv(bp_lai_avena$stats,file='results/graphs_20190726/bp_lai_avena_stats.csv')
write.csv(bp_lai_avena$names,file='results/graphs_20190726/bp_lai_avena_names.csv')
write.csv(bp_lai_avena$n,file='results/graphs_20190726/bp_lai_avena_n.csv')
write.csv(bp_lai_avena$out,file='results/graphs_20190726/bp_lai_avena_out.csv')
write.csv(bp_lai_avena$group,file='results/graphs_20190726/bp_lai_avena_group.csv')

bp_lai_avena_reg<-boxplot(lai_avena_reg$avg ~ lai_avena_reg$date, las=2, ylim=c(0,10.0000),main='Average LAI for AVENA REGADIO')
write.csv(bp_lai_avena_reg$stats,file='results/graphs_20190726/bp_lai_avena_reg_stats.csv')
write.csv(bp_lai_avena_reg$names,file='results/graphs_20190726/bp_lai_avena_reg_names.csv')
write.csv(bp_lai_avena_reg$n,file='results/graphs_20190726/bp_lai_avena_reg_n.csv')
write.csv(bp_lai_avena_reg$out,file='results/graphs_20190726/bp_lai_avena_reg_out.csv')
write.csv(bp_lai_avena_reg$group,file='results/graphs_20190726/bp_lai_avena_reg_group.csv')

bp_lai_cebada<-boxplot(lai_cebada$avg ~ lai_cebada$date, las=2, ylim=c(0,10.0000),main='Average LAI for CEBADA')
write.csv(bp_lai_cebada$stats,file='results/graphs_20190726/bp_lai_cebada_stats.csv')
write.csv(bp_lai_cebada$names,file='results/graphs_20190726/bp_lai_cebada_names.csv')
write.csv(bp_lai_cebada$n,file='results/graphs_20190726/bp_lai_cebada_n.csv')
write.csv(bp_lai_cebada$out,file='results/graphs_20190726/bp_lai_cebada_out.csv')
write.csv(bp_lai_cebada$group,file='results/graphs_20190726/bp_lai_cebada_group.csv')

bp_lai_cebada_reg<-boxplot(lai_cebada_reg$avg ~ lai_cebada_reg$date, las=2, ylim=c(0,10.0000),main='Average LAI for CEBADA REGADIO')
write.csv(bp_lai_cebada_reg$stats,file='results/graphs_20190726/bp_lai_cebada_reg_stats.csv')
write.csv(bp_lai_cebada_reg$names,file='results/graphs_20190726/bp_lai_cebada_reg_names.csv')
write.csv(bp_lai_cebada_reg$n,file='results/graphs_20190726/bp_lai_cebada_reg_n.csv')
write.csv(bp_lai_cebada_reg$out,file='results/graphs_20190726/bp_lai_cebada_reg_out.csv')
write.csv(bp_lai_cebada_reg$group,file='results/graphs_20190726/bp_lai_cebada_reg_group.csv')

bp_lai_triticale<-boxplot(lai_triticale$avg ~ lai_triticale$date, las=2, ylim=c(0,10.0000),main='Average LAI for TRITICALE')
write.csv(bp_lai_triticale$stats,file='results/graphs_20190726/bp_lai_triticale_stats.csv')
write.csv(bp_lai_triticale$names,file='results/graphs_20190726/bp_lai_triticale_names.csv')
write.csv(bp_lai_triticale$n,file='results/graphs_20190726/bp_lai_triticale_n.csv')
write.csv(bp_lai_triticale$out,file='results/graphs_20190726/bp_lai_triticale_out.csv')
write.csv(bp_lai_triticale$group,file='results/graphs_20190726/bp_lai_triticale_group.csv')

bp_lai_triticale_reg<-boxplot(lai_triticale_reg$avg ~ lai_triticale_reg$date, las=2, ylim=c(0,10.0000),main='Average LAI for TRITICALE REGADIO')
write.csv(bp_lai_triticale_reg$stats,file='results/graphs_20190726/bp_lai_triticale_reg_stats.csv')
write.csv(bp_lai_triticale_reg$names,file='results/graphs_20190726/bp_lai_triticale_reg_names.csv')
write.csv(bp_lai_triticale_reg$n,file='results/graphs_20190726/bp_lai_triticale_reg_n.csv')
write.csv(bp_lai_triticale_reg$out,file='results/graphs_20190726/bp_lai_triticale_reg_out.csv')
write.csv(bp_lai_triticale_reg$group,file='results/graphs_20190726/bp_lai_triticale_reg_group.csv')

