#
# ini.t - test script for SSM_Land::Ini
#
# Copyright (C) 2017 Francesco P. Lovergine <francesco.lovergine@cnr.it>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2, 
# as published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
#

use strict;
use warnings;

use v5.18;

use Test::More;

use FindBin qw/$Bin/;
use lib ("/usr/local/sm-tools/lib/perl", "$Bin/../lib");

BEGIN { 
	
use_ok('SSM_Tools::Ini');

};

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

my $cfg = SSM_Tools::Ini->new("$Bin/sm.ini");
ok(defined $cfg, 'new() returned something'); 
ok($cfg->isa("SSM_Tools::Ini"), "and it is the right class");

cmp_ok($cfg->get_root(),'eq','/some/path','Check root');
cmp_ok($cfg->get('General', 'Root'),'eq','/some/path','Check parameter General/Root');

done_testing();

