/**
 * Chapter 2
 * Creating an image layer
 *
 * Peter J Langley
 * http://www.codechewing.com
 */
var extent = [-1286853.313570, 3297960.022935, 4349646.686430, 6123507.424977];
var global = [-3210392.823760, 1412533.498060, 7689042.674245, 16859049.879396];

var map = new ol.Map({
    view: new ol.View({
        zoom: 5,
        center: ol.extent.getCenter(extent)
    }),
    target: 'js-map',
    layers: [
        new ol.layer.Tile({
            source: new ol.source.Stamen({
                layer: 'terrain-background'
            })
        })
    ]
});

map.addLayer(new ol.layer.Image({
    source: new ol.source.ImageWMS({
        url: 'http://buzz.ba.irea.cnr.it/wmsmap',
        params: {
//              layers: 'MOSAIC_ASC_SSM_2018-12-15'
//            layers: 'MOSAIC_MONTHLY_DESC_SSM_SD_2018-08-01'
//			  layers: 'MOSAIC_ASC_SSM_SUMMER_2018'
				layers: 'MOSAIC_DESC_SSM_2018-02-01'
        },
        attributions: [
            new ol.Attribution({
                html: 'Contains <a href="https://www.irea.cnr.it/">CNR IREA</a> ' +
                      'materials &copy; CNR-IREA 2019.'
            })
        ]
    }),
    opacity: 0.7,
    extent: global
}));

map.addLayer(new ol.layer.Image({
    source: new ol.source.ImageWMS({
        url: 'http://buzz.ba.irea.cnr.it/wmsmap',
        params: {
            layers: 'EU_BASINS'
        },
        attributions: [
            new ol.Attribution({
                html: 'CCM River and Catchment Database &copy; European Commission-JRC 2007.'
            })
        ]
    }),
    opacity: 0.5,
    extent: global
}));
